function [figur] = charts_combi_multi(data, kf_data, conv_meas)
% conv_meas indicates if measurements should be converted before display

	% display charts for different variables

    figure;
    
    % source array:
    arr1 = data.process;
    arr2 = kf_data.x_post;
    
    titl = 'true (b) and estimated (r) x,y and meas trajectory';
    
    % variable:
    var1 = 2; name1 = 'x(cm)';
    var2 = 3; name2 = 'y(cm)';
    
    % style
    style1 = 'b:';
    style2 = 'r-';
    
    
	% nr of subplots:
    fig_width = 1;
    fig_height = 1;
           
	% display estimated path with true measurements
	figures.true_and_est_traj = subplot(fig_width,fig_height,1);
	plot(arr1(:,var1),arr1(:,var2),style1);
    hold on;
    plot(arr2(:,var1),arr2(:,var2),style2);
    xlabel (name1);
	ylabel (name2);
	title (titl);
	
	
    hold on;
	
	% add true measurements
    % nb: measurements are relative to the robots position
    % so, we add the estimate position of the robot, to get
    % the total estimated location of where the robot expects
    % the landmark to be..
    
    if conv_meas == 1,
        test1 = diff_drive_convert_rel_meas_to_abs(data.process, data.meas);
        test2 = diff_drive_convert_rel_meas_to_abs(kf_data.x_prior, kf_data.z_hat);
    else
        test1 = data.meas;
        test2 = kf_data.z_hat;
    end;
    
    plot(test1(:,2),test1(:,3),'bo');
    plot(test2(:,2),test2(:,3),'ro');
   
  
    	
    
    