function [figures] = charts_true(true_data, figures)

	% display charts for true data


    % display Guassian window
	%figures.fig_uncert_x_y_gauss = subplot(fig_width,fig_height,2);
	%xlabel 'x (cm)';
	%ylabel 'y (cm)';
	%title 'conditional probability distribution';
	

	    
    
    % figure with true trajectories
    
    figures.true_state_trajectories = figure;
    
    
    arr_source = true_data.process;
    
    [r c] = size(arr_source);
    state_size = c-1;
    
    fig_width = 1;
    fig_height = state_size;
    
    
    for i=1:state_size
    
    
	    % display data of element i
	    figures.true_state_trajectory(i) = subplot(fig_height,fig_width,i);
        
	    plot(arr_source(:,1),arr_source(:,i+1))
    	xlabel 'step';
    	ylabel 'value';
    	title (['true trajectory state element ',num2str(i)]);
	
    end
    
	
    
    % measurements
    figures.true_meas_trajectories = figure;
    
    arr_source = true_data.meas;
    
    [r c] = size(arr_source);
    state_size = c-1;
    
    fig_width = 1;
    fig_height = state_size;
    
    
    for i=1:state_size
    
    
	    % display data of element i
	    figures.true_meas_trajectory(i) = subplot(fig_height,fig_width,i);
        
	    plot(arr_source(:,1),arr_source(:,i+1),'bo')
    	xlabel 'step';
    	ylabel 'value';
    	title (['true trajectory meas element ',num2str(i)]);
	
    end
    
    
    
    % mixed states and measurements
    % we assume number of state elements == number of meas elements!
    
    figures.true_states_and_meas_trajectories = figure;
    
    arr_source1 = true_data.process;
    arr_source2 = true_data.meas;
    
    [r c] = size(arr_source1);
    [r2 c2] = size(arr_source2);
    
    if c2 ~= c 
        disp 'Number of state variables does not equal measurement variables!';
        disp 'Cannot display combined chart';
        
    else
        
        state_size = c-1;
    
        fig_width = 1;
        fig_height = state_size;
    
    
        for i=1:state_size
    
    
	        % display data of element i
	        figures.true_state_and_meas_trajectory(i) = subplot(fig_height,fig_width,i);
        
	        plot(arr_source1(:,1),arr_source1(:,i+1));
            xlabel 'step';
    	    ylabel 'value';
    	    title (['true state trajectory with meas, element ',num2str(i)]);
	    
            hold on;
            plot(arr_source2(:,1),arr_source2(:,i+1), 'bo');
    	  
            hold off;
	    
        end
        
    end
    
