function [figur] = charts_true_multi(true_data, conv_meas)
% conv_meas indicates if measurements should be converted before display

	% display charts for different variables

    figure;
    
    % source array:
    arr = true_data.process;
    
    titl = 'true x,y trajectory with measurements';
    
    % variable:
    var1 = 2; name1 = 'x(cm)';
    var2 = 3; name2 = 'y(cm)';
    
    % style
    style = '-x';
    
	% nr of subplots:
    fig_width = 1;
    fig_height = 1;
           
	% display estimated path with true measurements
	figures.true_traj = subplot(fig_width,fig_height,1);
	plot(arr(:,var1),arr(:,var2),style);
	xlabel (name1);
	ylabel (name2);
	title (titl);
	
	
    hold on;
	
	% add true measurements
    % nb: measurements are relative to the robots position
    % so, we add the estimate position of the robot, to get
    % the total estimated location of where the robot expects
    % the landmark to be..
    
    if conv_meas == 1,
        test = diff_drive_convert_rel_meas_to_abs(true_data.process, true_data.meas);
    else
        test = true_data.meas;
    end;
    
    plot(test(:,2),test(:,3),'bx');
   
  
    	
    
    