function [x_to] = diff_drive_process_function(x_from, control_input, noise)

    % x_from is expected to be [x y phi]'
    % control_input is expected to be [delta D, delta phi]
    
    % update pure process
    
    x_old = x_from(1,1);
    y_old = x_from(2,1);
    phi_old = x_from(3,1);
    
    delta_D = control_input(1,1);
    delta_phi = control_input(2,1);
    
    x_to(1,1) = x_old + delta_D*cos(phi_old + (delta_phi/2)) + noise(1,1);
    x_to(2,1) = y_old + delta_D*sin(phi_old + (delta_phi/2)) + noise(2,1);
    x_to(3,1) = phi_old + delta_phi + noise(3,1);
    
    
   

