
function [x,y,z] = draw_gauss_3d(X,S,min, max, step)

% makes a Gauss distribution in 3d space
%
% X is the mean, which has to be 2x1
% S is the covariance, which has to be 2x2
%
% Gauss is created for range [min, max] with interval size step 
% 
% outputs three vectors: X1 coordinates, X2 coordinats and Z containing the
% result of the Gaussian function. 
   

    % determine ranges      
    x = min(1,1):step(1,1):max(1,1);
    y = min(2,1):step(2,1):max(2,1);
    
    [tmp size_x] = size(x);
    [tmp size_y] = size(y);
    
    
    % loop through x1's
    for i = 1:size_x,
         
        % loop through x2's
        for j = 1:size_y,
            
            z(i,j) = draw_gauss_3d_make( X, S, [ x(i); y(j)], 2 ); % 2 = state size
            
        end
    end
    
    
   

