function [] = charts_combi_animate(data, kf_data, conv_meas, gauss, every, pauses, figures)

    [prior_val prior_uncert] = convert_step_data_2_arr(kf_data.x_prior);
    [post_val post_uncert] = convert_step_data_2_arr(kf_data.x_post);
    [z_hat_val z_hat_uncert] = convert_step_data_2_arr(kf_data.z_hat);
    [z z_uncert] = convert_step_data_2_arr(data.meas);
   
    % convert measurements if needed
    if conv_meas == 1,
        z = diff_drive_convert_rel_meas_to_abs(data.process, z);
        z_hat_val = diff_drive_convert_rel_meas_to_abs(prior_val, z_hat_val);
    else
       % test1 = z;
       % test2 = z_hat_val;
    end;


    
    % make window for gaussians
    %hold off;
    figures.gaussian = figure;

  	%add numbers
	[m n] = size(prior_val);
	%text(ekf.x_post(1,2),ekf.x_post(1,3),num2str(1));
	for i=1:every:m,
        
        if pauses==1,
            disp 'press a key for propagation..';
            pause;
        end;
	
        % make arrow with step number in state trajectory
        figure(figures.traj_fig);
               
        subplot(figures.estim_traj);
       % text(kf_data.x_prior(i).data.value(1),kf_data.x_prior(i).data.value(2),'o');
       % text(data.process(i,2),data.process(i,3),'\bullet');  
      
        % also draw ellipse around state
        draw_ellipse( [prior_val(i,2); prior_val(i,3)], [prior_uncert(i,2), prior_uncert(i,3); prior_uncert(i,5),  prior_uncert(i,6)]);
	    
        if ~isnan(z(i,2)),  % is there is a measurement
               
            if pauses==1,
                disp 'there is a measurement';
                
                disp 'press key for posterior';
                pause;
            end;
            
            draw_ellipse( [post_val(i,2); post_val(i,3)], [post_uncert(i,2), post_uncert(i,3); post_uncert(i,5),  post_uncert(i,6)]);
	   
        end;
        
        
        if gauss == 1,
            
            % plot the gaussian in the gaussian display
            figure(figures.gaussian);
            [g_x,g_y,g_z] = draw_gauss_3d(  [prior_val(i,2); prior_val(i,3)], [prior_uncert(i,2), prior_uncert(i,3); prior_uncert(i,5),  prior_uncert(i,6)],  [prior_val(i,2); prior_val(i,3)] - [20;20],[prior_val(i,2); prior_val(i,3)] + [20;20],[1;1]);
		
            hold on;
            surfc(g_x,g_y,g_z)
            %shading interp
            
            % and add text with step number
            text(prior_val(i,2), prior_val(i,3), 0, ['k=' num2str(i) ]);
            
            
            % if there is a measurement, display it in Gaussian window
            if (~conv_meas==3 && ~isnan(z(i,2))),
                
                if pauses==1,
                    disp 'measurement incoming, press key to show true measurement';
                    pause;
                end;
                
%                [g_x,g_y,g_z] = draw_gauss_3d( [ z(i,2); z(i,3)], [data.C_meas(i,2), data.C_meas(i,3); data.C_meas(i,5), data.C_meas(i,6)], [ data.meas(i,2); data.meas(i,3)] - [20;20],[ data.meas(i,2); data.meas(i,3)] + [20;20],[1;1]);
		
                % hold on;
%                surfc(g_x,g_y,g_z)
                %shading interp
%                text(data.meas(i,2), data.meas(i,3), 0, ['true meas: k=' num2str(i) ]);
                
                
%                if pauses==1,
%                    disp 'press key to show prediction';
%                    pause;
%                end;
     
                % note: displaying measurement prediction!
                % note: uncertainty is same as residual uncertainty
%                [g_x,g_y,g_z] = draw_gauss_3d( [ kf_data.z_hat(i,2); kf_data.z_hat(i,3)], [kf_data.C_z_hat(i,2), kf_data.C_z_hat(i,3); kf_data.C_z_hat(i,5), kf_data.C_z_hat(i,6)], [ kf_data.z_hat(i,2); kf_data.z_hat(i,3)] - [20;20],[ kf_data.z_hat(i,2); kf_data.z_hat(i,3)] + [20;20],[1;1]);
		
                % hold on;
%                surfc(g_x,g_y,g_z)
                %shading interp
%                text(kf_data.z_hat(i,2), kf_data.z_hat(i,3), 0, ['pred meas: k=' num2str(i) ]);
                
                
%                if pauses==1,
%                    disp 'press key for posterior estimate';
%                    pause;
%                end;
     
                % display posterior state estimate
 %               [g_x,g_y,g_z] = draw_gauss_3d( [ kf_data.x_post(i,2); kf_data.x_post(i,3)], [kf_data.c_x_post(i,2), kf_data.c_x_post(i,3); kf_data.c_x_post(i,5),  kf_data.c_x_post(i,6)], [ kf_data.x_post(i,2); kf_data.x_post(i,3)] - [20;20],[ kf_data.x_post(i,2); kf_data.x_post(i,3)] + [20;20],[1;1]);
		        
 %                hold on;
 %               surfc(g_x,g_y,g_z)
                %shading interp
 %               text(kf_data.z_hat(i,2), kf_data.z_hat(i,3), 0, ['post: k=' num2str(i) ]);
               
 %  end;
            
            end;
        
        
        
        
        % update the uncertainty markers
        %figure(figures.uncertainties);
        
        %subplot(figures.fig_uncert_x);
        %text(kf_data.c_x_post(i,1),kf_data.c_x_post(i,2),'x');
        
       % subplot(figures.fig_uncert_y);
        %text(kf_data.c_x_post(i,1),kf_data.c_x_post(i,6),'x');
      % 
       % subplot(figures.fig_uncert_phi);
       % text(kf_data.c_x_post(i,1),kf_data.c_x_post(i,10),'x');
       
	    end;
    end;
    
