
% noise settings for environment
% true process noise
problem.env.process.noise.value = [0, 0, 0]; % zero-mean
problem.env.process.noise.uncert = [1^2, 0, 0; 0, 1^2, 0; 0,0,0.01^2]; % covariance

% true measurement noise
problem.env.meas.noise.value = [0;0;0];
problem.env.meas.noise.uncert = [0.5^2,0,0; 0,0.5^2,0 ; 0,0,0.01^2];

 

% KF process noise
problem.model.process.noise.value = [0; 0; 0]; % zero mean noise
problem.model.process.noise.uncert = [0.5*1^2, 0, 0; 0, 0.5*1^2, 0; 0,0,0.5*0.01^2];   % with some independent noise


% KF measurement noise
problem.model.meas.noise.value = [0; 0; 0];
problem.model.meas.noise.uncert = [0.5^2, 0,0; 0,0.5^2,0; 0,0,0.01^2];



% initial true state and uncertainty
problem.env.state.value = [100; 100; 0]; % latest step result
problem.env.state.uncert = [1^2, 0,0; 0,1^2,0; 0,0,0.01^2]; 

% initial KF state and uncertainty
problem.model.state_est.value = problem.env.state.value;  
problem.model.state_est.uncert = problem.env.state.uncert; 


% make the world
make_world;

% set up the control parameters
global control_para;
control_para.straight_steps = 0;
control_para.length = 500;
control_para.distance_step_size = 10;
control_para.turn_step_size = 0.25*2*pi;

global one_lm_meas_para;
one_lm_meas_para.max_dist = 200;

global meas_counter;
meas_counter = 0;


global show_printing;
show_printing = 0;

% how many steps?
steps = 3000

% create world
make_world