function [] = charts_combi_animate(data, kf_data, conv_meas, pauses, figures)

    % convert measurements if needed
    if conv_meas == 1,
        test1 = diff_drive_convert_rel_meas_to_abs(data.process, data.meas);
        test2 = diff_drive_convert_rel_meas_to_abs(kf_data.x_prior, kf_data.z_hat);
    else
        test1 = data.meas;
        test2 = kf_data.z_hat;
    end;


    % make window for gaussians
    figures.gaussian = figure;

  	%add numbers
	[m n] = size(kf_data.x_prior(:,2));
	%text(ekf.x_post(1,2),ekf.x_post(1,3),num2str(1));
	for i=1:1:m,
        
        if pauses==1,
            disp 'press a key..';
            pause;
        end;
	
        % make arrow with step number in state trajectory
      %  figure(figures.main);
               
      %  subplot(figures.estim_traj);
      %  text(kf_data.x_prior(i,2),kf_data.x_prior(i,3),['\bullet']);
        
        % also draw ellipse around state
      %  draw_ellipse( [kf_data.x_prior(i,2); kf_data.x_prior(i,3)], [kf_data.c_x_prior(i,2), kf_data.c_x_prior(i,3); kf_data.c_x_prior(i,5),  kf_data.c_x_prior(i,6)]);
	    
        
        % plot the gaussian in the gaussian display
        figure(figures.gaussian);
        [g_x,g_y,g_z] = draw_gauss_3d( [ kf_data.x_prior(i,2); kf_data.x_prior(i,3)], [kf_data.c_x_prior(i,2), kf_data.c_x_prior(i,3); kf_data.c_x_prior(i,5),  kf_data.c_x_prior(i,6)], [ kf_data.x_prior(i,2); kf_data.x_prior(i,3)] - [20;20],[ kf_data.x_prior(i,2); kf_data.x_prior(i,3)] + [20;20],[1;1]);
	
        hold on;
        surfc(g_x,g_y,g_z)
        %shading interp
        
        % and add text with step number
        text(kf_data.x_prior(i,2), kf_data.x_prior(i,3), 0, ['k=' num2str(i) ]);
        
        
        % if there is a measurement, display it in Gaussian window
        if ~isnan(kf_data.z_res(i,2)),
            
            if pauses==1,
                disp 'measurement incoming, press key to show true measurement';
                pause;
            end;
            
            [g_x,g_y,g_z] = draw_gauss_3d( [ data.meas(i,2); data.meas(i,3)], [data.C_meas(i,2), data.C_meas(i,3); data.C_meas(i,5), data.C_meas(i,6)], [ data.meas(i,2); data.meas(i,3)] - [20;20],[ data.meas(i,2); data.meas(i,3)] + [20;20],[1;1]);
	
            % hold on;
            surfc(g_x,g_y,g_z)
            %shading interp
            text(data.meas(i,2), data.meas(i,3), 0, ['true meas: k=' num2str(i) ]);
            
            
            if pauses==1,
                disp 'press key to show prediction';
                pause;
            end;
 
            % note: displaying measurement prediction!
            % note: uncertainty is same as residual uncertainty
            [g_x,g_y,g_z] = draw_gauss_3d( [ kf_data.z_hat(i,2); kf_data.z_hat(i,3)], [kf_data.C_z_hat(i,2), kf_data.C_z_hat(i,3); kf_data.C_z_hat(i,5), kf_data.C_z_hat(i,6)], [ kf_data.z_hat(i,2); kf_data.z_hat(i,3)] - [20;20],[ kf_data.z_hat(i,2); kf_data.z_hat(i,3)] + [20;20],[1;1]);
	
            % hold on;
            surfc(g_x,g_y,g_z)
            %shading interp
            text(kf_data.z_hat(i,2), kf_data.z_hat(i,3), 0, ['pred meas: k=' num2str(i) ]);
            
            
            if pauses==1,
                disp 'press key for posterior estimate';
                pause;
            end;
 
            % display posterior state estimate
            [g_x,g_y,g_z] = draw_gauss_3d( [ kf_data.x_post(i,2); kf_data.x_post(i,3)], [kf_data.c_x_post(i,2), kf_data.c_x_post(i,3); kf_data.c_x_post(i,5),  kf_data.c_x_post(i,6)], [ kf_data.x_post(i,2); kf_data.x_post(i,3)] - [20;20],[ kf_data.x_post(i,2); kf_data.x_post(i,3)] + [20;20],[1;1]);
	        
             hold on;
            surfc(g_x,g_y,g_z)
            %shading interp
            text(kf_data.z_hat(i,2), kf_data.z_hat(i,3), 0, ['post: k=' num2str(i) ]);
           
        end;
        
        
        
        
        
        
        % update the uncertainty markers
        %figure(figures.uncertainties);
        
        %subplot(figures.fig_uncert_x);
        %text(kf_data.c_x_post(i,1),kf_data.c_x_post(i,2),'x');
        
       % subplot(figures.fig_uncert_y);
        %text(kf_data.c_x_post(i,1),kf_data.c_x_post(i,6),'x');
      % 
       % subplot(figures.fig_uncert_phi);
       % text(kf_data.c_x_post(i,1),kf_data.c_x_post(i,10),'x');
       
	end;
