function [f, n, para, J] = get_model_settings(prob, model)
% extracts data from problem model, for easier access by calling functions

    % get function
    f = model.function;
    
    
    [para paras n] = paras2string(prob, model);
    
    %% make Jacobians creation commands for every parameter
    %for i=1:n,
    %    cmd(i).str = strcat('J(', num2str(i),').m = feval(model.para(', num2str(i), ').trans_matrix_func', paras,');');
    %end;
   
    %% create the Jacobians (or transfer matrices)
    %for i=1:n,  
    %    eval(cmd(i).str);
    %end;
    
    % this works better for speed, since it avoids using strcat:
    
    if n==1, 
        
        for i=1:n,
            J(i).m = feval(model.para(i).trans_matrix_func, para(1) );
        end;
        
    elseif n==2, 
        
        for i=1:n,
            J(i).m = feval(model.para(i).trans_matrix_func, para(1), para(2) );
        end;
        
    elseif n==3, 
        
        for i=1:n,
            J(i).m = feval(model.para(i).trans_matrix_func, para(1), para(2), para(3) );
        end;
       
    elseif n==4, 
        
        for i=1:n,
            J(i).m = feval(model.para(i).trans_matrix_func, para(1), para(2), para(3), para(4) );
        end;
    
    else
        error 'Help me in get_mode_settings.m:)!';
        disp 'Need some extra coding done here..';
        pause;  
    end;
    
   