function [res] = combine_prior_and_post_error(data,kf_data)

   % source array:
   [prior prior_uncert] = convert_step_data_2_arr(kf_data.x_prior);
   [post post_uncert] = convert_step_data_2_arr(kf_data.x_post);
   
   [nr_steps tmp] = size(prior);
   
   % we want to make a new array with prior and post mixed
   for i=1:nr_steps,
       
       tmp = data.process(i,:) - prior(i,:);
       tmp2 = data.process(i,:) - post(i,:);
       
       % convert orientation to -pi,pi; element 4 is the orientation
       if(tmp(1,4) > pi),
           tmp(1,4) = tmp(1,4) - 2*pi;
       end;
       if(tmp2(1,4) > pi),
           tmp2(1,4) = tmp2(1,4) - 2*pi;
       end;
       
       tmp(1) = prior(i,1);
       tmp2(1) = post(i,1);
       
       res(i).value.from =  tmp(1,:);
       res(i).value.to = tmp2(1,:);
       res(i).uncert.from = prior_uncert(i,:);
       res(i).uncert.to = post_uncert(i,:);
       
   end;