function [res] = expand_process(true, meas)
% expands process data such that it can be plotted with meas data
% assumes true and meas are arrays
% for every time there is at least one meas: at least NaN if no meas.

    [r2 c2] = size(true);
    [r_size_meas tmp] = size(meas);
    
    meas_index = 1;
   
    for true_index=1:r2,
        
        
        while(meas_index <= r_size_meas && true(true_index,1) == meas(meas_index,1)) % while time stamps match
            
            % copy line from true to res
            for ii=1:c2,
                res(meas_index, ii) = true(true_index,ii);
            end;
            
            meas_index = meas_index + 1;
            
        end;

        
    end;
