function [z_hat] = diff_drive_one_lm_meas_function(x_real, lm, v)
% predicts a measurement to a given landmark on a map, based on x
% notice that this function takes as extra possibly uncertain variable the
% lm to predict the distance to

  %  x_real = paras(1);
  %  lm = paras(2);
  %  R = paras(3);
    
    global world;
    
    % calculate the x,y,phi to one landmark, without noise
    % lm = world.lm(1);
    
    x = (lm(1,1) - x_real(1,1))*cos( x_real(3,1) ) + (lm(2,1) - x_real(2,1))*sin( x_real(3,1) );
    y = (x_real(1,1) - lm(1,1))*sin( x_real(3,1) ) + (lm(2,1) - x_real(2,1))*cos( x_real(3,1) );
    phi = lm(3,1) - x_real(3,1);

    % normalize phi
   % phi = mod(phi, 2*pi);
    
    z_hat = [x;y;phi];

    
    % add sensor specific noise
 %   [m n] = size(R_real.uncert);
 %   for i=1:m, z_hat.value(i,1) = z_real.value(i,1) + sqrt(R_real.uncert(i,i))*randn; end;
        
                
    % copy uncertainty. uncertainty is simply measurement uncertainty
    % uncertainty on map does not have to do with uncertainty in
    % measurement
 %   [m n] = size(z_hat);
 %   for i=1:m, for j=1:m, z_hat.uncert(i,j) = R.uncert(i,j); end; end;
    
    pr 'measurement prediction made';

