
function [problem, x_prior, c_x_prior, x_post, c_x_post, K, z_hat, C_z_hat, z_res, C_res] = make_ekfx_step(problem)
% makes ekf step where measurements can have measurement id

 
    % start ekf with time update
    pr 'perform ekfx time update';

   
    % execute time update: same as standard ekf
    [x_prior c_x_prior] = ekf_time_update_step(problem);

    % and save the result
    problem.model.state_est.value = x_prior;
    problem.model.state_est.uncert = c_x_prior;

    % and result to ui
    display_info(problem);


    % next, perform the measurement update
    pr 'perform ekfx measurement update';

    % execute measurement update: takes into account measurement id
    [x_post c_x_post K z_hat C_z_hat z_res C_res] = ekfx_meas_update_step(problem);

    % and save the result
    problem.model.state_est.value = x_post;
    problem.model.state_est.uncert = c_x_post;

    % and result to ui
    display_info(problem);
    
    % ekf is done
    pr 'ekf step performed.';
